﻿@using TAMRCPS.Services.Common


<div class="navbar-left">

    <h1>Risk & Control Portal System</h1>
</div>
@{
    var currentDateTime = DateTime.Now.ToString("dddd, dd MMMM yyyy  ");
    var url = Url.RouteUrl("Logout");
    var timeOut = HttpContext.Current.Session.Timeout * 60;
}
<div class="navbar-right">

    <ul class="nav navbar-nav navbar-right" align="right">

        <li style="margin-top: 17px;color: #f6f6f6;"><i class=" fa fa-clock-o"></i>&nbsp;<span id="datetime"></span></li>
        @*<li><a href="@Url.RouteUrl("ChangePassword")"><i class="fa fa-lock"></i> Change Password</a></li>*@
        <li><a href=# id="btnSignout"><i class="fa fa-sign-out"></i>Sign Out</a></li>
        <li class="dropdown message">
            <a id="scrollDown" href="#" title="Scroll To Bottom" class="dropdown-toggle" data-toggle="dropdown">
                <i class="fa fa-angle-double-down"></i>
            </a>
        </li>
    </ul>

</div>
<script>

    $('#datetime').html('@currentDateTime');

    $("#scrollDown").on("click", function (e) {
        $("html,body").animate({ scrollTop: $(document).height() }, 1000);
        e.preventDefault();
    });


    $("#btnSignout").click(function () {
        bootbox.confirm({
            title: "<i class='fa fa-warning fa-2x'></i> Sign out Confirmation",
            message: 'Are you sure you want to sign out ?',
            buttons: {
                'cancel': {
                    label: '<i class="fa fa-times"></i> Cancel',
                    className: 'btn-default btn-sm pull-left'
                },
                'confirm': {
                    label: '<i class="fa fa-check"></i> Yes, Continue Sign out',
                    className: 'btn-default btn-sm pull-right'
                }
            },
            callback: function (result) {
                if (result) {
                    window.location.href = "@Url.Action("Logout", "User")";
                }
            }
        });
    });
</script>
